Package csb :: Package bio :: Package nmr :: Class AtomConnectivity

[frames] | no frames]

# Class AtomConnectivity

source code

    object --+
             |
            AtomConnectivity

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

boolean

connected(self, residue, atom1, atom2) Return True if `atom1` is covalently connected to `atom2` in `residue` | source code

tuple of str

connected_atoms(self, residue, atom) Return all atoms covalently connected to `atom` in `residue`. | source code

bool

contains(self, residue, atom) Return True if `atom` name is contained in `residue`. | source code

frozenset of str

get_atoms(self, residue, prefix=`'````'`) Get all atoms contained in `residue`. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

AtomConnectivity

get() Get the current AtomConnectivity instance (and create it if this method is invoked for the first time). | source code

Class Variables
| RESOURCES = ``'``/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/cs``...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### connected(self, residue, atom1, atom2)

source code

Return True if `atom1` is covalently connected to `atom2` in `residue`

Parameters:
  - `residue` (EnumItem) - residue type (a member of ProteinAlphabet)
  - `atom1` (str) - first atom name (IUPAC)
  - `atom2` (str) - second atom name (IUPAC)
Returns: boolean

### connected_atoms(self, residue, atom)

source code

Return all atoms covalently connected to `atom` in `residue`.

Parameters:
  - `residue` (EnumItem) - residue type (a member of ProteinAlphabet)
  - `atom` (str) - source atom name (IUPAC)
Returns: tuple of str

### contains(self, residue, atom)

source code

Return True if `atom` name is contained in `residue`.

Parameters:
  - `residue` (EnumItem) - residue type (a member of ProteinAlphabet)
  - `atom` (str) - atom name (IUPAC)
Returns: bool

### get_atoms(self, residue, prefix=`'````'`)

source code

Get all atoms contained in `residue`.

Parameters:
  - `residue` (EnumItem) - residue type (a member of ProteinAlphabet)
  - `prefix` (str) - atom name prefix wildcard (IUPAC)
Returns: frozenset of str
  set of atom names

Class Variable Details

### RESOURCES

Value:

      '/build/python-csb-qn4_QK/python-csb-1.2.3+dfsg/csb/bio/nmr/resources'